Name: zikula
Version: 1.1.1
Release: 11%{?dist}
Summary: Zikula is a free open source Web Application Framework
Group:	Applications/Publishing
License: GPLv2+
# There is some content in this package that is LGPL with the bulk
# GPLv2+ thus overall package should be GPLv2+ 
URL: http://www.zikula.org/
Source0: Zikula-%{version}-CORE.tar.gz 
#URL for source is http://code.zikula.org/core/downloads/99
Source1: zikula.conf
#this is being discussed upstream - for the moment it is a fedora only file
#see http://groups.google.com/group/zikula-discussions/browse_thread/thread/2f44d45a975d1515/
Patch: %{name}-%{version}-config.patch
#Patch is recorded in ticket 901 on the zikula trac instance
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: httpd
Requires: php >= 5.2.0
Requires: php-mysql >= 5.2.0
Requires: php-pgsql >= 5.2.0
Requires(pre): policycoreutils

%description
Zikula is a free open source Web Application Framework. \
It can be used to develop robust, secure, interactive and \
editable websites and web based applications. Zikula is written \
in PHP object oriented and fully modular. It requires a database \
 and may use all leading database platforms like MySQL, \
PostgreSQL and Microsoft SQL Server. \
Zikula is the successor to the PostNuke project.

%pre
semanage fcontext -a -t httpd_var_run_t %{_sysconfdir}/%{name}/config.php || semanage fcontext -m -t httpd_var_run_t %{_sysconfdir}/%{name}/config.php

%prep
%setup -c -qn %{name}-%{version}
%patch -p0 

%build
#nothing really for this section but rpmbuild complains if build is empty

%install
rm -rf %{buildroot}
%{__mkdir} -p %{buildroot}/%{_datadir}/%{name}
%{__mkdir} -p %{buildroot}/%{_localstatedir}/lib/%{name}
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/%{name}
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/httpd/conf.d/

cp -pr config images includes install javascript language modules system themes -t %{buildroot}/%{_datadir}/%{name}
install -m 0644 *php robots.txt  %{buildroot}/%{_datadir}/%{name}


cp -pr pnTemp -t %{buildroot}/%{_localstatedir}/lib/%{name}
install -m 0664 ./config/config.php %{buildroot}/%{_sysconfdir}/%{name}/config.php
ln -sf %{_sysconfdir}/%{name}/config.php %{buildroot}/%{_datadir}/%{name}/config/config.php
install -m 0644 -D -p %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/zikula.conf


rm -f %{buildroot}/%{datadir}/%{name}/includes/.htaccess

#changinng encoding
iconv -f ISO-8859-1 -t UTF-8  --output %{_builddir}/%{name}-%{version}/docs/previouscredits.txt %{_builddir}/%{name}-%{version}/docs/previouscredits.txt
iconv -f ISO-8859-1 -t UTF-8  --output  %{_builddir}/%{name}-%{version}/docs/CREDITS.txt %{_builddir}/%{name}-%{version}/docs/CREDITS.txt

cd %{buildroot}
cd -
#Making script executable to stop rpmlint from complaining
chmod 0755 %{buildroot}/%{_datadir}/%{name}/javascript/phplayersmenu/CHANGE_TEMPLATE_CLASS_NAME.sh
#Getting rid of zerolength files
find ${RPM_BUILD_ROOT} -empty -exec rm -f {} \;

#Purging .htaccess files
find ${RPM_BUILD_ROOT} -name .htaccess -exec rm -f {} \;
%clean
rm -rf %{buildroot}

%files

%defattr(-,root,root,-)
%doc docs/*
%{_datadir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/zikula.conf
%attr(664,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/config.php


%post
ln -sf /usr/share/doc/zikula-1.1.1 /usr/share/zikula/docs
symlinks -crs /usr/share/zikula

%changelog
* Fri Mar 13 2009 Clint Savage <herlo@fedoraproject.org> 1.1.1-11
- added an additional selinux call to modify the context when the 
- selinux context already exists

* Sun Mar 8 2009 David Nalley <david@gnsa.us> 1.1.1-10
- moved selinux stuff to %pre rather than %post

* Sun Mar 1 2009 David Nalley <david@gnsa.us> 1.1.1-9
- reverted earlier SElinux issues and used semanage to make it persistent
- added symlink to /usr/share/docs for license and contributors to show up
- changed symlinks command to recurse over enter _datadir 

* Sun Mar 1 2009 David Nalley <david@gnsa.us> 1.1.1-8
- fixed another SELinux issues pointed out by herlo

* Sun Mar 1 2009 David Nalley <david@gnsa.us> 1.1.1-7
- fixed SElinux context problem pointed out by herlo

* Sat Feb 28 2009 David Nalley <david@gnsa.us> 1.1.1-6
- removed most install lines, replaced with cp -r 
- fixed permissions on config file
- fixed permissions on pntemp dir

* Sat Feb 21 2009 David Nalley <david@gnsa.us> 1.1.1-5
- fixed install issues. 

* Sat Feb 21 2009 David Nalley <david@gnsa.us> 1.1.1-4
- changed perms

* Sat Feb 21 2009 David Nalley <david@gnsa.us> 1.1.1-3
- Fixing dangling symlink

* Tue Feb 17 2009 David Nalley <david@gnsa.us> 1.1.1-2
- Fixed iconv issues and symlinks

* Sun Feb 09 2009 Clint Savage <herlo@fedoraproject.org> 1.1.1-1
- Fixed some minor packaging issues.

* Wed Jan 28 2009 David Nalley <david@gnsa.us> 1.1.0-4
- Changed license to GPLv2+

* Mon Jan 26 2009 Lukas Hetzenecker <LuHe@gmx.at> 1.1.0-3
- Move the pnTemp directory to /var/lib/zikula/pnTemp

* Mon Jan 26 2009 Lukas Hetzenecker <LuHe@gmx.at> 1.1.0-1
- Initial Spec file creation for Fedora
